class ExclaimPlugin < Plugin
  def initialize
    super
    @listen=true
  end
  def help(plugin, topic="")
    "beats people who overuse punctuation mark :)"
  end
  def listener(m)
    if(m.kind_of?(PrivMessage) && m.public?)
      if(m.message =~ /([?$£!)(])\1{2,}/)
        puts "test"
        @bot.action m.target, "slaps #{m.sourcenick} silly for punctuation abuse"
      end
    end
  end
end
plugin = ExclaimPlugin.new
plugin.register("exclaim")

